List modals
curl --request GET \
--url https://api.lithoblocks.com/v1/modals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lithoblocks.com/v1/modals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lithoblocks.com/v1/modals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"title": "<string>",
"submit_label": "<string>",
"close_label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_multi_step": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"steps": null,
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modal_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"blocks": [
{}
],
"placeholder_mapping": {},
"status": "draft",
"is_current": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sample_data": null
},
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modal_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"blocks": [
{}
],
"placeholder_mapping": {},
"status": "draft",
"is_current": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sample_data": null
}
}
],
"pagination": {
"offset": 123,
"limit": 123,
"total": 123
},
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"success": false,
"error": {
"issues": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"name": "<string>"
},
"message": "<string>",
"code": "validation_failed",
"request_id": "<string>"
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}Interactivity
List modals
GET
/
v1
/
modals
List modals
Authorizations
LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0
